# discord import
import discord


class Send_message:
	"""This (abstract) class for sending formatted messages"""

	def __init__(self, bot):
		self.bot = bot

	async def send_embed(self, ctx, desc, color):
		await ctx.send(embed=discord.Embed(description=desc, color=color))

	async def send_friendly(self, ctx, desc):
		await self.send_embed(ctx, desc, 0x00ff00)

	async def send_wrong(self, ctx, desc):
		await self.send_embed(ctx, desc, 0xff8000)
